<?php
/**
 *  @author     Tymoteusz `RazorMeister` Bartnik
 *  @file       Config
 */

return [
    'main' => [
        'language'   => 'pl', // pl | en | cz
        'connection' => [
            'ts3' => [
                'ip'        => '127.0.0.1',
                'queryPort' => 10011,
                'port'      => 9987,
                'login'     => 'serveradmin',
                'password'  => '',
                'type'      => 0, // 1 - SSH | 0 - RAW
            ],
            'database' => [
                'ip'        => 'localhost',
                'user'      => 'root',
                'password'  => '',
                'name'      => 'robot',
                'port'      => 3306,
            ],
        ],

        'settings' => [
            'global' => [
                'logsDeleteInterval'  => 3, // in days
                'templates'           => 'Default', // Default | Icons | Old
                'blackListPunishment' => 'ban',    // kick | ban
                'profileUrl'          => [
                    'enabled'            => true,
                    'url'                => 'http://website.ro-bot.pl/client/[DBID]',    // [DBID], [UID], [CLIENT_NAME]
                    'profileTranslation' => ' ( [URL]PROFIL[/URL] )', // [URL], [/URL] MUST HAVE
                ],
                'footer'     => "[hr][right][b]RO-BOT.pl[/b][/right]",
                'kickOrMove' => 'move',     // kick | move
                'mail' => [
                    'hostSMTP' => 'smtp.gmail.com',
                    'port' => '587',
                    'username' => 'panelRazorMeister@gmail.com',
                    'password' => '',
                    'from' => 'panelRazorMeister@gmail.com',
                    'adminMails' => ['battnik90@gmail.com','matigwardys@gmail.com','robertkaminski53@wp.pl','leon@rogoza.no'],
                    'SMTPAuth' => true,
                    'encoding' => 'tls',    // tls | ssl | none
					'logoUrl' => 'https://panel.ro-bot.net/uploads/logo.jpg'
                ]
            ],
            'instances' => [
                1 => [
                    'enabled'         => true,
                    'name'            => '• RO-BOT • Aktualizator',
                    'defaultChannel'  => 67,
                    'interval'        => 1000,   // in milliseconds
                    'folder'          => 'FirstInstance',
                ],
                2 => [
                    'enabled'         => true,
                    'name'            => '• RO-BOT • Security',
                    'defaultChannel'  => 67,
                    'interval'        => 100,   // in milliseconds
                    'folder'          => 'SecondInstance',
                ],
                3 => [
                    'enabled'         => true,
                    'name'            => '• RO-BOT • Administrator',
                    'defaultChannel'  => 67,
                    'interval'        => 100,   // in milliseconds
                    'folder'          => 'ThirdInstance',
                ],
                4 => [
                    'enabled'         => true,
                    'name'            => '• RO-BOT • Statistics',
                    'nameCache'       => '• RO-BOT • Cache',
                    'defaultChannel'  => 67,
                    'interval'        => 1000,   // in milliseconds
                    'folder'          => 'FourthInstance',
                ],
                5 => [
                    'enabled'         => true,
                    'name'            => '• RO-BOT • Channels Guard',
                    'defaultChannel'  => 67,
                    'interval'        => 1000,   // in milliseconds
                    'folder'          => 'FifthInstance',
                ],
                6 => [
                    'enabled'         => true,
                    'name'            => '• RO-BOT • Commander',
                    'commands'        => true,
                    'defaultChannel'  => 1,
                    'interval'        => 100,   // in milliseconds
                    'folder'          => 'SixthInstance',
                    'individualLogin' => [
                        'enabled'  => true,
                        'login'    => 'commander',
                        'password' => '',
                    ],
                ],
            ],
        ],
    ],

    'functions' => [
        // Aktualizator
        1 => [
            /* Events */
            'OnlineUsers' => [
                'enabled' => true,
                'channelId' => 70,
                'ignoredGroups' => [],
                'channelName' => 'Online: [ONLINE]',    // [ONLINE]
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 5],
            ],
            'RecordOnline' => [
                'enabled' => true,
                'channelId' => 71,
                'channelName' => 'Record: [RECORD]',    // [RECORD]
                'showHistory' => true,
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 5],
            ],
            'MultiFunction' => [
                'enabled' => true,
                'content' => [
                    'totalPing' => [
                        'enabled' => true,
                        'channelId' => 73,
                        'channelName' => 'Ping: [PING]',    // [PING]
                    ],
                    'packetLoss' => [
                        'enabled' => true,
                        'channelId' => 74,
                        'channelName' => 'Packet loss: [PACKET_LOSS]',  // [PACKET_LOSS]
                    ],
                    'channelsCount' => [
                        'enabled' => true,
                        'channelId' => 75,
                        'channelName' => 'Channels: [CHANNELS_COUNT]',   // [CHANNELS_COUNT]
                    ],
                    'bytesUploaded' => [
                        'enabled' => true,
                        'channelId' => 76,
                        'channelName' => 'Upload: [UPLOADED]',  // [UPLOADED]
                    ],
                    'bytesDownloaded' => [
                        'enabled' => true,
                        'channelId' => 77,
                        'channelName' => 'Download: [DOWNLOADED]',  // [DOWNLOADED]
                    ],
                ],
                'interval' => ['hours' => 0, 'minutes' => 1, 'seconds' => 0],
            ],
            'ServerName' => [
                'enabled' => true,
                'name' => 'RO-BOT.net | Online: [ONLINE]/[MAX_CLIENTS]',   // [ONLINE], [MAX_CLIENTS], [DATE], [%]
                'dateFormat' => 'G:i:s', // d-m-Y G:i:s
                'ignoredGroups' => [],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 5],
            ],
            'Partners' => [
                'enabled' => true,
                'channelId' => 53,
                'content' => [
                    '[cspacer] TSowicze.pl' => "[center][img]https://i.imgur.com/oKhD1uM.png[/img][/center]",
                    '[cspacer] RazorMeister.pl' => "[center]JA[/center]",
                ],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 30],
            ],
            'Countdown' => [
                'enabled' => true,
                'showTime' => ['days' => true, 'hours' => true, 'minutes' => true],
                'content' => [
                    78 => [ // ChannelId
                        'channelName' => 'To holidays: [COUNT]', // [COUNT]
                        'date' => '22-06-2019 00:01',   // format dd-mm-yyyy GG:MM  | php: d-m-Y H:i
                        'type' => 'to', // from | to
                    ],
                    80 => [
                        'channelName' => 'From May: [COUNT]',    // [COUNT]
                        'date' => '01-05-2019 00:01',   // format dd-mm-yyyy GG:MM | php: d-m-Y H:i
                        'type' => 'from', // from | to
                    ],
                ],
                'interval' => ['hours' => 0, 'minutes' => 1, 'seconds' => 0],
            ],
            'NameDay' => [
                'enabled' => true,
                'channelId' => 81,
                'channelName' => 'Name day: [NAME]',    // [NAME]
                'interval' => ['hours' => 0, 'minutes' => 1, 'seconds' => 0],
            ],
            'Banner' => [
                'enabled' => false,
                'sourceFile' => DIR.'Include/Assets/BannerSource.png',
                'destinationFile' => '/var/www/html/banner.jpg',
                // 'cords' => [size, rotation, x, y],
                'content' => [
                    'clientsOnline' => [
                        'enabled' => false,
                        'showMacClients' => true,
                        'ignoredGroups' => [],
                        'font' => 'calibri',
                        'color' => [255, 255, 255],
                        'cords' => [20,0,118,160],
                    ],
                    'adminsOnline' => [
                        'enabled' => true,
                        'adminGroups' => [6],
                        'ignoredGroups' => [79],
                        'font' => 'calibri',
                        'color' => [255, 255, 255],
                        'cords' => [20,0,150,200],
                    ],
                    'recordOnline' => [
                        'enabled' => true,
                        'font' => 'calibri',
                        'color' => [255, 255, 255],
                        'cords' => [20,0,175,250],
                    ],
                    'clock' => [
                        'enabled' => true,
                        'format' => 'H:i',
                        'font' => 'calibri',
                        'color' => [255, 255, 255],
                        'cords' => [20,0,200,300],
                    ],
                    'date' => [
                        'enabled' => true,
                        'format' => 'd-m-Y',
                        'font' => 'calibri',
                        'color' => [255, 255, 255],
                        'cords' => [20,0,225,350],
                    ],
                    'channelsCount' => [
                        'enabled' => true,
                        'font' => 'calibri',
                        'color' => [255, 255, 255],
                        'cords' => [20,0,250,400],
                    ],
                    'uptime' => [   // In days
                        'enabled' => true,
                        'font' => 'calibri',
                        'color' => [255, 255, 255],
                        'cords' => [20,0,275,450],
                    ],
                ],
                'interval' => ['hours' => 0, 'minutes' => 1, 'seconds' => 0],
            ],
            'Clock' => [
                // Date/Time formats: https://www.php.net/manual/en/function.date.php
                'enabled' => true,
                'clock' => [
                    'enabled' => true,
                    'channelId' => 82,
                    'channelName' => 'Clock: [CLOCK]',    // [CLOCK]
                    'format' => 'H:i',
                ],
                'date' => [
                    'enabled' => true,
                    'channelId' => 2482,
                    'channelName' => 'Date: [DATE]',    // [DATE]
                    'format' => 'd-m-Y',
                ],
                'weekDay' => [
                    'enabled' => true,
                    'channelId' => 2483,
                    'channelName' => 'Week day: [WEEK_DAY]',    // [WEEK_DAY]
                    'format' => 'l',
                ],
                'interval' => ['hours' => 0, 'minutes' => 1, 'seconds' => 0],
            ],
            'HostMessage' => [
                'enabled' => true,
                'sourceFile' => DIR.'Include/Assets/HostMessage.txt',
                'ignoredGroups' => [120],  // Ignored groups to online clients
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 5],
            ],
            'AdminOnlineList' => [
                'enabled' => true,
                'adminGroups' => [120,121,129,135],
                'ignoredGroups' => [79],
                'channelId' => 151,
                'channelName' => 'Admins online: [ONLINE]',     // [ONLINE]
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 5],
            ],
            'AdminList' => [
                'enabled' => true,
                'adminGroups' => [120,121,129,135],
                'ignoredGroups' => [79],
                'channelId' => 152,
                'minIdleTime' => 300,    // in seconds
                'showType' => 'date',   // time | date
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 5],
            ],
            'ServerQueryOnlineList' => [
                'enabled' => true,
                'ignoredGroups' => [79],
                'channelId' => 153,
                'channelName' => 'ServerQuery online: [ONLINE]',     // [ONLINE]
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 15],
            ],
            'CountryList' => [
                'enabled' => true,
                'ignoredGroups' => [],
                'ignoredCountries' => [],   // type country as code for example Poland - pl
                'channelId' => 154,
                'channelName' => 'Foreign clients: [COUNT]',  // [COUNT]
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 15],
            ],
            'BanList' => [
                'enabled' => true,
                'channelId' => 155,
                'maxBans' => 10,
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 15],
            ],
            'ClientOnChannel' => [
                'enabled' => true,
                'adminGroups' => [120,121,129],
                'ignoredGroups' => [79],
                'minIdleTime' => 15,    // in seconds
                'showAdminsStats' => true,  // SaveAdminsStats must be ON
                'statusNames' => [
                    'online' => 'ONLINE',
                    'offline' => 'OFFLINE',
                    'away' => 'AFK',
                ],
                'content' => [
                    6 => [  // Client Dbid
                        'channelId' => 157, // Can be array for example [157, 13]
                        'channelName' => '[[GROUP] ] - [NICK] jest [STATUS]',    // [GROUP], [NICK], [STATUS]
                        'email' => 'battnik90@gmail.com',
                        'ownDescription' => "Hello, my name is Tymoteusz Bartnik and I'm founder and CEO of RO-BOT.",
                        'socialMedia' => [
                            'facebook' => 'https://www.facebook.com/tymus5',
                            'twitter' => 'https://twitter.com',
                            'linkedin' => 'https://www.linkedin.com/in/tymoteusz-bartnik/',
                            'instagram' => 'https://www.instagram.com/razorek/',
                            'github' => 'https://github.com/RazorMeister'
                        ]
                    ],
                ],
                'descriptionInterval' => ['hours' => 0, 'minutes' => 5, 'seconds' => 0],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 5],
            ],
            'Top' => [
                'enabled' => true,
                'ignoredGroups' => [1],
                'content' => [
                    'timeSpent' => [
                        'enabled' => true,
                        'channelId' => 177,
                        'records' => 15,
                    ],
                    'timeRecord' => [
                        'enabled' => true,
                        'channelId' => 178,
                        'records' => 15,
                    ],
                    'connections' => [
                        'enabled' => true,
                        'channelId' => 179,
                        'records' => 15,
                    ],
                    'idleTimeRecord' => [
                        'enabled' => true,
                        'channelId' => 180,
                        'records' => 15,
                    ],
                    'weekTimeSpent' => [
                        'enabled' => true,
                        'channelId' => 567,
                        'records' => 15,
                    ],
                ],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 30],
            ],
            'NewClients' => [
                'enabled' => true,
                'channelId' => 181,
                'channelName' => 'New clients: [COUNT]',   // [COUNT]
                'maxUsers' => 30,
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 15],
            ],
            'OnlineGroupList' => [
                'enabled' => true,
                'minIdleTime' => 300,
                'showType' => 'date',   // time | date
                'content' => [
                    183 => [    // Channel ID
                        'groupsId' => [104, 9],
                        'channelName' => '[GROUP] - [ONLINE]/[ALL] ([%])',    // [GROUP], [ONLINE], [ALL], [%]
                        'showOffline' => true,
                        'showStatusTime' => true,
                    ],
                    184 => [
                        'groupsId' => [38],
                        'channelName' => '[GROUP] - [ONLINE]/[ALL] ([%])',    // [GROUP], [ONLINE], [ALL], [%]
                        'showOffline' => true,
                        'showStatusTime' => true,
                    ],
                ],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 15],
            ],
            'FacebookPosts' => [
                'enabled' => false,
                'accessToken' => '',
                'pageId' => '1069143943281504',//'1069143943281504',    // Find on https://findmyfbid.com/
                'pageLink' => 'https://www.facebook.com/RO-BOT-aplikacja-pod-twój-serwer-TS3-1069143943281504/',
                'maxPosts' => 5,
                'channelId' => 185,
                'channelName' => 'Facebook posts: [POSTS]', // [POSTS], [LIKES]
                'interval' => ['hours' => 3, 'minutes' => 0, 'seconds' => 0],   // Max 200times per hour so min interval is 20s
            ],
            'Weather' => [
                'enabled' => true,
                'apiKey' => '',  //You can find api on website: https://openweathermap.org
                'content' => [
                    187 => [    // Channel ID
                        'country' => 'PL',  // Country code for example Poland - PL
                        'city' => 'Warszawa',
                    ],
                    188 => [
                        'country' => 'PL',  // Country code for example Poland - PL
                        'city' => 'Lublin',
                    ],
                ],
                'interval' => ['hours' => 0, 'minutes' => 10, 'seconds' => 0],
            ],
            'YoutubeInfo' => [
                'enabled' => false,
                'apiKey' => '',  // Generate on https://console.developers.google.com
                'content' => [
                    'UC5aRHitAgGy39hu7MCqdHEA' => [ // Youtube Channel ID
                        'channelId' => 192,
                        'channelName' => '[NAME]: [SUBS] [LIVE]',   // [NAME], [SUBS], [LIVE]
                    ],
                    'UCzgVSSvfIpBbc9IrTlGKEaQ' => [ // Youtube Channel ID
                        'channelId' => 194,
                        'channelName' => '[NAME]: [SUBS] [LIVE]',   // [NAME], [SUBS], [LIVE]
                    ],
                ],
                'interval' => ['hours' => 0, 'minutes' => 15, 'seconds' => 0],
            ],
            'TwitchInfo' => [
                'enabled'=> true,
                'clientId' => '', //Client ID is client identifier | Generate on https://dev.twitch.tv/console/apps
                'clientSecret' => '', // Secret is password
                'content' => [
                    'bonkol' => [  // Twitch channel name
                        'mainChannel' => [
                            'channelId' => 196,
                            'channelName' => '[NAME] [LIVE]',   // [NAME], [LIVE]
                        ],
                        'follows' => [
                            'channelId' => 197, // 0 if disabled
                            'channelName' => 'Followers: [FOLLOWS]',  // [FOLLOWS]
                        ],
                    ],
                ],
                'interval' => ['hours' => 0, 'minutes' => 1, 'seconds' => 0],
            ],
            'RobotStatus' => [
                'enabled' => true,  // Do not turn off
                'channelId' => 365,
                'adminsDbid' => [6, 10, 9],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 10],
            ],
            'WinGroup' => [
                'enabled' => true,
                'groupId' => 36,
                'neededGroup' => [27,29],
                'ignoredGroups' => [103],
                'daysInterval' => 3,    // in days
                'channelId' => 568,
                'records' => 15,
                'channelName' => 'Win - [CLIENT]', // [CLIENT] - winne nick
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 10],
            ],
            'Levels' => [
                'enabled' => true,
                'ignoredGroups' => [],
                'headerGroup' => 210, // 0 - none
                'content' => [
                    // levelGroupId => minTimeSpent in seconds
                    111 => 60 * 10, // 10 mins
                    112 => 60 * 60 * 1, // 1 hour
                    113 => 60 * 60 * 10, // 10 hour
                    114 => 60 * 60 * 25, // 25 hour
                    115 => 60 * 60 * 50, // 50 hour
                ],
                'records' => 15,
                'channelId' => 695,
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 30],
            ],
            'GroupsStats' => [
                'enabled' => true,
                'content' => [
                    // Group ID => Channel ID
                    9 => 705,
                ],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 10],
            ],
            'SupportChannels' => [
                'enabled' => true,
                'onTime' => [
                    878 => [ // Channel ID
                        'timeOpen' => '10:00',
                        'timeClose' => '20:00',
                        'nameOpen' => 'Support Channel',
                        'nameClose' => 'Support Channel [OFF]',
                        'neededJoinPower' => 100,
                    ],
                ],
                'whenAdmin' => [
                    43 => [ // Channel ID
                        'adminGroups' => [120,121,129,135],
                        'ignoredGroups' => [79],
                        'nameOpen' => '[»] Help Center',
                        'nameClose' => '[»] Help Center [OFF]',
                        'neededJoinPower' => 100,
                    ],
                ],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 10],
            ],
            'AdminsStats' => [
                'enabled' => true,
                'adminGroups' => [120,121,129,135],
                'spentTimeChannelId' => 919,
                'groupsChannelId' => 918,
                'helpCenterChannelId' => 2566,
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 10],
            ],
            'FillEmptyChannels' => [
                'enabled' => true,
                'ignoredChannels' => [],
                'description' => "[hr][center][img]https://i.imgur.com/wpMTQ1t.jpg[/img][/center][hr]\n\n[center][size=12][b]Support and test server for the RO-BOT application.[/b][/size][/center]\n[hr]",
                'neededPhrase' => 'spacer',
                'interval' => ['hours' => 0, 'minutes' => 5, 'seconds' => 0],
            ],
            'CountRegisteredUsers' => [
                'enabled' => true,
                'channelId' => 1896,
                'channelName' => 'Registered: [REGISTERED]/[ALL]',
                'unregisteredGroupId' => 8,
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 30],
            ],
            'Visitors' => [
                'enabled' => true,
                'channelId' => 1912,
                'channelName' => 'Visitors: [VISITORS]',
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 30],
            ],
            'CheckClientPermissions' => [
                'enabled' => true,
                'ignoredDbids' => [6],
                'ignoredPermissions' => ['i_icon_id'],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 30],
            ],
            'CheckChannelPermissions' => [  // Be careful while using this function
                'enabled' => true,
                'ignoredCids' => [16],
                'ignoredPermissions' => ['i_icon_id','i_channel_needed_permission_modify_power','i_channel_needed_delete_power','i_channel_needed_join_power','i_channel_needed_modify_power','i_channel_needed_subscribe_power','b_channel_modify_needed_talk_power','i_channel_description_view_power','i_client_needed_talk_power','i_channel_needed_description_view_power'],
                'interval' => ['hours' => 0, 'minutes' => 1, 'seconds' => 0],
            ],
            'Achievements' => [
                'enabled' => true,
                'ignoredGroups' => [8],
                'headerSgid' => 181, // 0 - none
                'footerSgid' => 182, // 0 - none
                'info' => [
                    'connections' => [
                        'enabled' => true,
                        'headerGroup' => 159, // 0 - none
                        'groups' => [
                            /********************

                            groupSgid => requiredConnections,

                             *********************/

                            160  => 0,
                            161  => 100,
                            162  => 200,
                            163  => 300,
                            164  => 400,
                            165  => 500,
                            166  => 700,
                            167  => 900,
                            168  => 1000,
                        ],
                    ],
                    'timeSpent' => [
                        'enabled' => true,
                        'headerGroup' => 169, // 0 - none
                        'groups' => [
                            /********************

                            groupSgid => requiredTimeSpent,

                             *********************/

                            171  => 0,
                            172  => 10 * 60 * 60,
                            173  => 20 * 60 * 60,
                            174  => 50 * 60 * 60,
                            175  => 100 * 60 * 60,
                            176  => 250 * 60 * 60,
                            177  => 400 * 60 * 60,
                            178  => 600 * 60 * 60,
                            179  => 800 * 60 * 60,
                            180  => 1000 * 60 * 60,
                        ],
                    ],
                ],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 15],
            ],
            'GameServers' => [
                'enabled' => true,
                'info' => [
                    /***************************************

                    channelId => [
                    'type' => 'serverType',             // Server type. Check below for more info.
                    'host' => 'serverIp:serverPort',    // for example 217.182.203.99:25565
                    'channelName' => 'channelName',     // Channel name. Check below for more info.
                    'customServerName' => 'Some sort of server',    // Optional
                    ],

                    serverType: 'cs16' - CS 1.6 server | 'csgo' - CS:GO server | 'minecraft' - Minecraft server
                    All servers: https://github.com/Austinb/GameQ/tree/v3/src/GameQ/Protocols

                    Vars in channel name: [NAME] - name of server | [CLIENTS_ONLINE] - online clients | [CLIENTS_MAX] - max clients | [MAP] - map in CS servers | [VERSION] - version in minecraft server

                     **************************************/
                    2438 => [
                        'type' => 'csgo',
                        'host' => '147.135.199.71:27015',
                        'channelName' => 'CS:GO ([CLIENTS_ONLINE] / [CLIENTS_MAX])'
                    ],
                    2439 => [
                        'type' => 'minecraft',
                        'host' => '217.182.203.99:25565',
                        'channelName' => 'MC ([CLIENTS_ONLINE] / [CLIENTS_MAX])',
                        'customServerName' => 'Some sort of minecraft server.'
                    ],
                    2440 => [
                        'type' => 'arma3',
                        'host' => '54.38.154.47:2302',
                        'channelName' => 'Arma ([CLIENTS_ONLINE] / [CLIENTS_MAX])',
                    ],
                ],
                'interval' => ['hours' => 0, 'minutes' => 1, 'seconds' => 0],
            ],
            'Charts' => [
                'enabled' => true,
                'dir' => '/var/www/html/robot/',
                'url' => 'http://nossl.ro-bot.net/robot',
                'clientPlatforms' => [
                    'enabled' => true,
                    'channelId' => 2479,
                    'ignoredGroups' => [120],
                ],
                'clientsOnline' => [
                    'enabled' => true,
                    'channelId' => 2493,
                    'ignoredGroups' => [120],
                ],
                'clientsGroups' => [
                    'enabled' => true,
                    'content' => [
                        2502 => [ // Channel ID
                            'desc' => 'Grupy 4fun',
                            'groups' => [37,38,39,40], // Preferred max 7 groups due to chart limitation.
                            'ignoredGroups' => [120],
                        ],
                    ],
                ],
                'interval' => ['hours' => 0, 'minutes' => 5, 'seconds' => 0],
            ],
            'LatestPremiumChannels' => [
                'enabled' => true,
                'channelId' => 3128,
                'number' => 10, // how many latest channels should be displayed
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 10],
            ]
        ],

        // Security
        2 => [
            /* Plugins */
            'NicksSecurity' => [
                'enabled' => true,
                'ignoredGroups' => [9],
                'sourceFile' => DIR.'Include/Assets/BadPhrases.txt',
                'checkAwayMessage' => true,
                'checkClientDescription' => true,   // Can slow down security instance
                'kicksToBan' => [
                    'enabled' => true,
                    'afterKicks' => 2,
                    'banTime' => 5,   // in seconds
                    'cacheReset' => 30,   // in seconds
                ],
            ],
            'ProtectGroups' => [
                'enabled' => true,
                'content' => [
                    9 => [  // Group ID
                        'ignoredDbid' => [6,10,9,23,255,61,160],
                        'giveBack' => true,
                        'punishmentType' => 'kick',    // ban | kick | nothing
                        'message' => 'You are not allowed to have ASQ group',
                        'banTime' => 0,   // in seconds (if type=ban)
                    ],
                    12 => [
                        'ignoredDbid' => [],
                        'giveBack' => true,
                        'punishmentType' => 'ban',    // ban | kick | nothing
                        'message' => 'You are not allowed to have Music Bot group',
                        'banTime' => 15,   // in seconds (if type=ban)
                    ],
                ],
            ],
            'CheckVpn' => [
                'enabled' => true,
                'yourEmail' => 'battnik90@gmail.com',
                'ignoredGroups' => [83],
                'punishmentType' => 'kick', // ban | kick
                'banTime' => 15,    // in seconds (if type=ban)
                'sensitivity' => 0.99,   // Highly recommended >0.99
                'message' => 'You cannot use VPN!',
            ],
            'CheckClientsOnIp' => [
                'enabled' => true,
                'ignoredGroups' => [],
                'maxUsers' => 4,
                'message' => 'Too many clients on the same IP address',
                'kicksToBan' => [
                    'enabled' => true,
                    'afterKicks' => 2,
                    'banTime' => 5,   // in seconds
                    'cacheReset' => 30,   // in seconds
                ],
            ],
            'BlockRecording' => [
                'enabled' => true,
                'ignoredGroups' => [],
                'punishmentType' => 'ban', // ban | kick
                'banTime' => 120,    // in seconds (if type=ban)
                'message' => 'You cannot record!',
            ],

            /* Events */
            'AntiIPLogger' => [
                'enabled' => true,
                'allowedLinks' => DIR.'Include/Assets/AllowedLinks.txt',
                'channelInfo' => 1132,
                'checkAllChannels' => false,
                'checkPrivateChannels' => [
                    'enabled' => true,
                    'channelsZone' => 200,
                ],
                'checkPremiumChannels' => true,
                'checkChannels' => [1073],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 5],
            ],
        ],

        // Administrator
        3 => [
            /* Plugins */
            'ConnectMessage' => [
                'enabled' => true,
                'ignoredGroups' => [],
                'sourceFiles' => [
                    'defaultLanguage' => DIR.'Include/Assets/ConnectMessage.txt',
                    'languages' => [
                        'eng' => DIR.'Include/Assets/ConnectMessageEng.txt',
                        'cz' => DIR.'Include/Assets/ConnectMessageCz.txt',
                    ],
                ],
                /************************************
                [CLIENT_IP] =  Client nickname
                [CLIENT_NICK] = Client nickname
                [CLIENT_COUNTRY] = Client country
                [CLIENT_DBID] = Client databse id
                [CLIENT_VERSION] = Client TS3 version
                [CLIENT_CONNECTIONS] = Client total connections
                [CLIENT_PLATFORM] = Client platform
                [CLIENT_TOTALCONNECTIONS] = Client total connections
                [CLIENT_LASTCONNECTED] = Client lastconnected
                [CLIENT_AWAY_MESSAGE] = Client away message
                [CLIENT_CREATED] = Client created
                [CLIENT_ON_SERVER_FOR] = Client is with server for ... for example 2 days and 1 minute
                [SERVER_MAX_CLIENTS] = Server max clients
                [SERVER_ONLINE] = Online users
                [SERVER_CHANNELS] = Channel number
                [SERVER_ID] = Virtual server id
                [SERVER_PORT] = Server port
                [SERVER_NAME] = Server name
                [SERVER_VERSION] = Server version
                [SERVER_VUI] = Server unique identifier
                [SERVER_WELCOME_MESSAGE] = Virtualserver welcomemessage
                [SERVER_PLATFORM] = Server platform
                [SERVER_HOSTMESSAGE] = Server hostmessage
                [SERVER_UPTIME] = Server uptime
                 *************************************/
            ],
            'GroupsLimit' => [
                'enabled' => true,
                'ignoredGroups' => [],
                'content' => [
                    1 => [  // Number 1, 2 etc.
                        'groups' => [44,45,46,47,48,49],
                        'limit' => 2,
                    ],
                    2 => [
                        'groups' => [51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,67],
                        'limit' => 1,
                    ],
                ],
            ],
            'GetRegisterGroup' => [
                'enabled' => true,
                'minTimeSpent' => 60,   // in seconds
                'content' => [
                    // ChannelId => RegisterGroup
                    48 => 142,
                    49 => 29,
                ],
            ],
            'MoveSpecificGroups' => [
                'enabled' => true,
                'ignoredGroups' => [],
                'movePremiumGroups' => [
                    'enabled' => true,
                    'from' => 1,
                ],
                'content' => [
                    1 => [  // Number 1, 2 etc.
                        'from' => 1,
                        'to' => 44,
                        'groups' => [],
                    ],
                ],
            ],
            'AfkMove' => [
                'enabled' => true,
                'channelId' => 60,
                'minAwayTime' => 300,  // in seconds
                'messageType' => 'poke',    // poke | msg | none
                'ignoredGroups' => [9, 81],
                'ignoredChannels' => [43],
                'moveIfAway' => true,
            ],
            'PokeAdmins' => [
                'enabled' => true,
                'ignoredGroupsForAdmins' => [79],
                'ignoredAdminChannels' => [],
                'ignoredUserGroups' => [150],
                'kickUserIfAway' => true,
                'kickUserIfMuted' => true,
                'multiplePokes' => [
                    'enabled' => false,
                    'interval' => 15,
                ],
                'mailIfOffline' => true, // sent an email if admins are offline
                'content' => [
                    // Channel ID => [Admins groups]
                    43 => [120,121,129,135],
                    2555 => [120,121,129,135],
                    2559 => [120,121,129,135],
                    2551 => [120,121,129,135],

                ],
            ],
            'ClientInfo' => [
                'enabled' => true,
                'channelId' => 1101,
                'messageType' => 'pw', // poke | pw
                'message' => "[color=purple][b]Witaj [u][NICK][/u]![/b]\n [color=#af0005][b][i]Informacje o Tobie:[/i][/b][/color]\n[color=#af0005][b]IP:[/b][/color] [IP]\n[color=#af0005][b]Database ID:[/b][/color] [DBID]\n[color=#af0005][b]UID:[/b][/color] [UID]\n[color=#af0005][b]Wszystkich połączeń:[/b][/color] [TOTALCONNECTIONS]\n[color=#af0005][b]Wersja klienta TS3:[/b][/color] [VERSION]\n[color=#af0005][b]Pierwsze połączenie:[/b][/color] [CREATED]\n[color=#af0005][b]Ostatnie połączenie:[/b][/color] [LASTCONNECTED]\n[color=#af0005][b]Platforma:[/b][/color] [PLATFORM]\n[color=#af0005][b]Kraj:[/b][/color] [COUNTRY]",
                // [NICK], [IP], [DBID], [UID], [TOTALCONNECTIONS], [CREATED], [LASTCONNECTED], [PLATFORM], [COUNTRY]
            ],
            'EventRegistration' => [
                'enabled' => true,
                'content' => [
                    1113 => [   // on channel
                        'neededGroup' => [],    // if all groups are allowed leave it empty
                        'channelToDesc' => 1113,
                        'topDescription' => 'Event registration',
                    ],
                ],
            ],
            'ClearGroups' => [
                'enabled' => true,
                'clearPremiumGroups' => [   // groups from channels from GetPremiumChannel function
                    'enabled' => true,
                    'channelId' => 1116,
                ],
                'content' => [
                    // channelId => [groupsToClear],
                    1115 => [34,37,38,39,40,41,42,43,122,123,124,131,132,133,139,143,144,145,146],
                ],
            ],
            'GroupsByIp' => [
                'enabled' => true,
                'content' => [
                    // ip => [groups]
                    '79.185.183.71' => [37, 38],
                ],
            ],
            'AdminsMeeting' => [
                'enabled' => true,
                'adminServerGroups' => [120,121,129,135],
                'channelId' => 2504,
                // Add meeting date to channel name (in format: dd.mm.yyyy hh:mm for example 18.02.2017 18:00)
                'informBefore' => [
                    'enabled' => true,
                    'timeBefore' => 15*60, // in seconds
                ]
            ],

            /* Events */
            'GetGroup' => [
                'enabled' => true,
                'deleteGroup' => false,
                'content' => [
                    // ChannelId => Group
                    84 => 37,
                    85 => 38,
                ],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 0],
            ],
            'ClientPlatform' => [
                'enabled' => true,
                'ignoredGroups' => [8],
                'content' => [
                    'windows' => [
                        'enabled' => true,
                        'group' => 30,
                    ],
                    'linux' => [
                        'enabled' => true,
                        'group' => 32,
                    ],
                    'android' => [
                        'enabled' => true,
                        'group' => 33,
                    ],
                    'ios' => [
                        'enabled' => true,
                        'group' => 140,
                    ],
                    'os x' => [
                        'enabled' => true,
                        'group' => 190,
                    ]
                ],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 5],
            ],

            'CheckPublicChannels' => [
                'enabled' => true,
                'guestChannelGroup' => 8,
                'content' => [
                    0 => [  // Number 1, 2 etc.
                        'channelsZone' => 23,
                        'channelName' => 'Public channel #[NUM]',  // [NUM]
                        'usersLimit' => 0,  // 0 - unlimited
                        'minFreeChannels' => 3,
                        'maxChannels' => 20,
                        'channelGroup' => 5, // 0 if none
                        'iconId' => -1472060840,
                        'neededModifyPower' => 80,
                        'desc' => "[hr][center][size=15] RO-BOT.net [/size][/center]",
                    ],
                    1 => [
                        'channelsZone' => 24,
                        'channelName' => 'Public channel #[NUM]',  // [NUM]
                        'usersLimit' => 2,  // 0 - unlimited
                        'minFreeChannels' => 3,
                        'maxChannels' => 20,
                        'channelGroup' => 5, // 0 if none
                        'iconId' => -1472060840,
                        'neededModifyPower' => 80,
                        'desc' => "[hr][center][size=15] RO-BOT.net [/size][/center]",
                    ],
                    2 => [
                        'channelsZone' => 26,
                        'channelName' => 'Public channel #[NUM]',  // [NUM]
                        'usersLimit' => 3,  // 0 - unlimited
                        'minFreeChannels' => 3,
                        'maxChannels' => 20,
                        'channelGroup' => 5, // 0 if none
                        'iconId' => -1472060840,
                        'neededModifyPower' => 80,
                        'desc' => "[hr][center][size=15] RO-BOT.net [/size][/center]",
                    ],
                    3 => [
                        'channelsZone' => 27,
                        'channelName' => 'Public channel #[NUM]',  // [NUM]
                        'usersLimit' => 4,  // 0 - unlimited
                        'minFreeChannels' => 3,
                        'maxChannels' => 20,
                        'channelGroup' => 5, // 0 if none
                        'iconId' => -1472060840,
                        'neededModifyPower' => 80,
                        'desc' => "[hr][center][size=15] RO-BOT.net [/size][/center]",
                    ],
                    4 => [
                        'channelsZone' => 28,
                        'channelName' => 'Public channel #[NUM]',  // [NUM]
                        'usersLimit' => 5,  // 0 - unlimited
                        'minFreeChannels' => 3,
                        'maxChannels' => 20,
                        'channelGroup' => 5, // 0 if none
                        'iconId' => -1472060840,
                        'neededModifyPower' => 80,
                        'desc' => "[hr][center][size=15] RO-BOT.net [/size][/center]",
                    ],
                ],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 2],
            ],
            'AutoRegister' => [
                'enabled' => true,
                'ignoredGroups' => [37],
                'minTimeSpent' => 60 * 5,   // in seconds
                'groupId' => 27,
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 5],
            ],
            'AwayGroup' => [
                'enabled' => true,
                'groupId' => 157,
                'minAwayTime' => 300,
                'ignoredGroups' => [9, 81],
                'ignoredChannels' => [43],
                'giveIfAway' => true,
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 2],
            ],
        ],

        // Statistics
        4 => [
            /* Events */
            'SaveClientData' => [
                'enabled' => true,  // Required
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 30],
            ],
            'SaveServerData' => [
                'enabled' => true,
                'cacheIconsInterval' => ['hours' => 0, 'minutes' => 2, 'seconds' => 0],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 30],
            ],
            'SaveGroupsStats' => [
                'enabled' => true,
                'checkingGroups' => [9],
                'checkPremiumGroups' => true,
                'whichHours' => ['10:26', '10:28'], // format: HH:MM
                'interval' => ['hours' => 0, 'minutes' => 1, 'seconds' => 0],
            ],
            'SaveAdminsStats' => [
                'enabled' => true,
                'adminGroups' => [120, 121, 129, 135],
                'registerGroups' => [142, 29],
                'minIdleTime' => 15,    // in seconds
                'helpCenter' => [43,2555,2559,2551],
                'ignoredGroups' => [],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 3],
            ],
        ],

        // Channels Guard
        5 => [
            /* Plugins */
            'GetPrivateChannel' => [
                'enabled' => true,
                'channelId' => 50,
                'neededGroups' => [142, 29],
                'channelGroupId' => 5,
                'channelsZone' => 200,
                'emptyChannelTopic' => '#empty',
                'iconId' => 983955125,
                'neededModifyPower' => 10,
                'subChannels' => [
                    'count' => 3,
                    'iconId' => 685319600,
                    'neededModifyPower' => 5,
                ],
            ],

            /* Events */
            'CheckPrivateChannels' => [
                'enabled' => true,
                'channelGroupId' => 5,
                'channelsZone' => 200,
                'emptyChannelTopic' => '#empty',
                'reservedChannelTopic' => '#reservation',

                'emptyChannels' => [
                    'iconId' => 983955125,
                    'neededModifyPower' => 25,
                ],

                'checkChannelName' => [
                    'enabled' => true,
                    'wrongName' => '[WRONG NAME]',
                    'badPhrasesFile' => DIR.'Include/Assets/BadPhrases.txt',
                ],

                'refreshDate' => [
                    'enabled' => true,
                ],

                'checkDate' => [
                    'daysToDelete' => 7,
                    'daysToWarning' => 4,
					'warning' => '[CHECK DATE]',
                ],

                'makeEmptyChannels' => [
                    'enabled' => true,
                    'minEmptyChannels' => 5,
                ],

                'channelsStats' => [
                    'allChannels' => [
                        'enabled' => true,
                        'channelId' => 1890,
                        'channelName' => 'All channels: [ALL]',
                    ],
                    'emptyChannels' => [
                        'enabled' => true,
                        'channelId' => 649,
                        'channelName' => 'Empty channels: [EMPTY]',
                    ],
                    'takenChannels' => [
                        'enabled' => true,
                        'channelId' => 650,
                        'channelName' => 'Taken channels: [TAKEN]',
                    ],
                    'channelsToDelete' => [
                        'enabled' => true,
                        'channelId' => 649,
                    ],
                ],

                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 5],
            ],

            'PremiumChannels' => [
                'enabled' => true,
                'content' => [
                    'VIP' => [
                        'onChannel' => 370,
                        'serverGroupToCopy' => 86,
                        'channelGroupId' => 5,
                        'afterChannel' => 1545,
                        'onlineGroupListName' => '[rspacer] [GROUP]: [ONLINE]/[ALL] ([%])',   // [GROUP], [ONLINE], [ALL], [%]
                        'expiryTime' => -1,   // Expiry time of channel in days (-1 is unlimited)
                        'creatingInterval' => 1, // in seconds

                        'spacerBetween' => [
                            'enabled' => true,
                            'name' => '[*spacerPremium[NUM]]___',   // [NUM]
                            'neededJoinPower' => 0,
                            'neededSubscribePower' => 0,
                            'neededModifyPower' => 0,
                        ],

                        /**
                         *      OnlineGroupList function must be ON and GetGroup function must be ON and GroupsStats function must be ON
                         *
                         *      add `'getGroupSpacer' => true` if get group must be a spacer
                         *      add `'onlineGroupSpacer'` => true` if online from group must be a spacer
                         *      add `'groupStatsSpacer' => true` if group stats must be a spacer
                         *
                         *      add `'getGroupSubChannel' => true` if get group must be a sub channel
                         *      add `'onlineGroupSubChannel' => true` if online from group must be a sub channel
                         *      add `'groupStatsSubChannel' => true` if group stats must be a sub channel
                         */

                        'spacers' => [
                            0 => [  // Number 1, 2 etc.
                                'spacerInfo' => [
                                    'name' => '[cspacer] [[NUM]] Premium',  // [NUM]
                                    'maxClients' => 20,  // -1 = unlimited
                                    'neededJoinPower' => 10,
                                    'neededSubscribePower' => 30,
                                    'neededModifyPower' => 40,
                                    'iconId' => 0,
                                ],
                                'subChannels' => [
                                    'number' =>  0,
                                    'name' => 'Sub Channel [NUM].',    // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                            ],
                            1 => [
                                'spacerInfo' => [
                                    'name' => '[rspacer[NUM]] Online from:',  // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                                'subChannels' => [
                                    'number' =>  0,
                                    'name' => 'Sub Channel [NUM].',    // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                                'onlineGroupSpacer' => true,
                            ],
                            2 => [
                                'spacerInfo' => [
                                    'name' => '[rspacer[NUM]] Statistics',  // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                                'subChannels' => [
                                    'number' =>  0,
                                    'name' => 'Sub Channel [NUM].',    // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                                'groupStatsSpacer' => true,
                            ],
                            4 => [
                                'spacerInfo' => [
                                    'name' => '[rspacer[NUM]] Get group',  // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                                'subChannels' => [
                                    'number' =>  0,
                                    'name' => 'Sub Channel [NUM].',    // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                                'getGroupSpacer' => true,
                            ],
                            5 => [
                                'spacerInfo' => [
                                    'name' => '[lspacerzarzad[NUM]]Management',  // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                                'subChannels' => [
                                    'number' =>  3,
                                    'name' => 'Management [NUM].',    // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                            ],
                            6 => [
                                'spacerInfo' => [
                                    'name' => '[lspacerkanaly[NUM]]Channels',  // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                                'subChannels' => [
                                    'number' =>  5,
                                    'name' => 'Channel [NUM].',    // [NUM]
                                    'maxClients' => -1,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                            ],
                        ],
                    ],
                    'Gold' => [
                        'onChannel' => 2657,
                        'serverGroupToCopy' => 86,
                        'channelGroupId' => 5,
                        'afterChannel' => 2661,
                        'onlineGroupListName' => '[rspacer] [GROUP]: [ONLINE]/[ALL] ([%])',   // [GROUP], [ONLINE], [ALL], [%]
                        'expiryTime' => 1,   // Expiry time of channel in days (-1 is unlimited)
                        'creatingInterval' => 1, // in seconds

                        'spacerBetween' => [
                            'enabled' => true,
                            'name' => '[*spacerGold[NUM]]___',   // [NUM]
                            'neededJoinPower' => 0,
                            'neededSubscribePower' => 0,
                            'neededModifyPower' => 0,
                        ],

                        /**
                         *      OnlineGroupList function must be ON and GetGroup function must be ON and GroupsStats function must be ON
                         *
                         *      add `'getGroupSpacer' => true` if get group must be a spacer
                         *      add `'onlineGroupSpacer'` => true` if online from group must be a spacer
                         *      add `'groupStatsSpacer' => true` if group stats must be a spacer
                         *
                         *      add `'getGroupSubChannel' => true` if get group must be a sub channel
                         *      add `'onlineGroupSubChannel' => true` if online from group must be a sub channel
                         *      add `'groupStatsSubChannel' => true` if group stats must be a sub channel
                         */

                        'spacers' => [
                            0 => [  // Number 1, 2 etc.
                                'spacerInfo' => [
                                    'name' => '[cspacer] [[NUM]] Gold',  // [NUM]
                                    'maxClients' => 20,  // -1 = unlimited
                                    'neededJoinPower' => 10,
                                    'neededSubscribePower' => 30,
                                    'neededModifyPower' => 40,
                                    'iconId' => 0,
                                ],
                                'subChannels' => [
                                    'number' =>  0,
                                    'name' => 'Sub Channel [NUM].',    // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                            ],
                            1 => [
                                'spacerInfo' => [
                                    'name' => '[rspacerG[NUM]] Online from:',  // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                                'subChannels' => [
                                    'number' =>  0,
                                    'name' => 'Sub Channel [NUM].',    // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                                'onlineGroupSpacer' => true,
                            ],
                            2 => [
                                'spacerInfo' => [
                                    'name' => '[rspacerG[NUM]] Statistics',  // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                                'subChannels' => [
                                    'number' =>  0,
                                    'name' => 'Sub Channel [NUM].',    // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                                'groupStatsSpacer' => true,
                            ],
                            4 => [
                                'spacerInfo' => [
                                    'name' => '[rspacerG[NUM]] Get group',  // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                                'subChannels' => [
                                    'number' =>  0,
                                    'name' => 'Sub Channel [NUM].',    // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                                'getGroupSpacer' => true,
                            ],
                            5 => [
                                'spacerInfo' => [
                                    'name' => '[lspacerzarzadG[NUM]]Management',  // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                                'subChannels' => [
                                    'number' =>  3,
                                    'name' => 'Management [NUM].',    // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                            ],
                            6 => [
                                'spacerInfo' => [
                                    'name' => '[lspacerkanalyG[NUM]]Channels',  // [NUM]
                                    'maxClients' => 0,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                                'subChannels' => [
                                    'number' =>  5,
                                    'name' => 'Channel [NUM].',    // [NUM]
                                    'maxClients' => -1,  // -1 = unlimited
                                    'neededJoinPower' => 0,
                                    'neededSubscribePower' => 0,
                                    'neededModifyPower' => 0,
                                    'iconId' => 0,
                                ],
                            ],
                        ],
                    ],
                ],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 10],
            ],
            'CheckTmpChannels' => [
                'enabled' => true,
                'sourceFile' => DIR.'Include/Assets/BadPhrases.txt',
                'wrongPhrase' => 'Wrong phrase!',
                'setDefaultDescription' => [
                    'enabled' => true,
                    'description' => "[hr]\n[center][size=14] TEMPORARY [b]CHANNEL[/b] [/size][/center]\n[hr]\n[center][size=12]This is temporary channel. We invite you to create a private channel![/size][/center]\n",
                ],
                'interval' => ['hours' => 0, 'minutes' => 0, 'seconds' => 5],
            ],
        ],

        // Commander
        6 => [
            /* Commands */
            // Usage !help
            'Help' => [
                'enabled' => true,
                'privilegedGroups' => [9],
                'writeCommandsToChannel' => [
                    'enabled' => true,
                    'channelId' => 1914,
                ],
            ],
            // Usage !meeting
            'Meeting' => [
                'enabled' => true,
                'privilegedGroups' => [9],
                'channelId' => 16,
                'groups' => [9, 82],
            ],
            // Usage !pwall-[text]
            'PwAll' => [
                'enabled' => true,
                'privilegedGroups' => [9],
            ],
            // Usage !pwgroup-[groupsId_separated_by_comma]-[text]
            'PwGroup' => [
                'enabled' => true,
                'privilegedGroups' => [9],
            ],
            // Usage !pokeall-[text]
            'PokeAll' => [
                'enabled' => true,
                'privilegedGroups' => [9],
            ],
            // Usage !pokegroup-[groupsId_separated_by_comma]-[text]
            'PokeGroup' => [
                'enabled' => true,
                'privilegedGroups' => [9],
            ],
            // Usage !tpclient-[Phrase_to_search]
            'TpClient' => [
                'enabled' => true,
                'privilegedGroups' => [9],
            ],
            // Usage !tpchannel-[Phrase_to_search]
            'TpChannel' => [
                'enabled' => true,
                'privilegedGroups' => [9],
            ],
            // Usage !team
            'Team' => [
                'enabled' => true,
                'privilegedGroups' => [9],
            ],
            // Usage !bot-[InstanceId]
            'Bot' => [
                'enabled' => true,
                'privilegedGroups' => [9],
            ],
            // Usage
            // !tmpgroup-[info]
            // !tmpgroup-[add]-[ClientDatabaseId]-[GroupId]-[timeInDays]
            // !tmpgroup-[del]-[ClientDatabaseId]-[GroupId]
            'TmpGroup' => [
                'enabled' => true,
                'privilegedGroups' => [9],
            ],
            // Usage !premiumchannel-[zoneName]-[dbid]
            'PremiumChannel' => [
                'enabled' => true,
                'privilegedGroups' => [9],
            ],
            // Usage !privatechannel-[dbid]
            'PrivateChannel' => [
                'enabled' => true,
                'privilegedGroups' => [9],
            ],
        ],
    ],
];
